package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.vo.EmployeeFilesVo;
import com.ruoyi.oa.domain.bo.EmployeeFilesBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.oa.domain.vo.FileUser;
import com.ruoyi.oa.domain.vo.UserFilesVo;

import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.List;

/**
 * 文件档案管理Service接口
 *
 * @author hdka
 * @date 2025-03-08
 */
public interface IEmployeeFilesService {

    /**
     * 查询文件档案管理
     */
    EmployeeFilesVo queryById(Long fileId);

    /**
     * 查询文件档案管理列表
     */
    TableDataInfo<FileUser> queryPageList(EmployeeFilesBo bo, PageQuery pageQuery);

    /**
     * 查询文件档案管理列表
     */
    List<EmployeeFilesVo> queryList(EmployeeFilesBo bo);

    /**
     * 新增文件档案管理
     */
    Boolean insertByBo(UserFilesVo userFilesVo);

    /**
     * 修改文件档案管理
     */
    Boolean updateByBo(EmployeeFilesBo bo);

    /**
     * 校验并批量删除文件档案管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询此用户的大概信息和文件列表
     * @param userId
     * @return
     */
    UserFilesVo queryUserFilesVoByUserId(@NotNull(message = "主键不能为空") Long userId);
}
